## cl-quick-arrays 20050302

=== Makefile ===
install:
	cp -r Makefile quick-arrays.asd  README  quick-arrays.lisp   \
		$(DESTDIR)/usr/share/common-lisp/source/quick-arrays

## cl-quick-arrays 1.0-8

=== debian/changelog ===
cl-quick-arrays (1.0-8) unstable; urgency=low

  * Beter description. Closes: #174466. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 12 Jan 2003 13:18:54 +0100

cl-quick-arrays (1.0-7) unstable; urgency=low

  * Rename to follow CL packages standard
  * Now uses asdf

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 15 Nov 2002 16:34:49 +0100

quick-arrays (1.0-6) unstable; urgency=low

  * lintian fixes to changelog, standard version, build-depends

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Apr 2002 20:28:30 +0200

quick-arrays (1.0-5) unstable; urgency=low

  * Rebuild with new dpkg-dev :-(.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:05:57 +0200

quick-arrays (1.0-4) unstable; urgency=low

  * Now with common-lisp-controller.
  * Now free! Thanks to Edward Betts. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 24 Jun 2001 22:33:17 +0200

quick-arrays (1.0-3) unstable; urgency=low

  * Went to FSH.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  8 Oct 1999 07:44:54 +0200

quick-arrays (1.0-2) unstable; urgency=low

  * New cmucl release.
  * Now dh-helper based.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:20:43 +0200

quick-arrays (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 29 May 1998 10:15:37 +0200

=== debian/control ===
Source: cl-quick-arrays
Section: libs
Priority: optional
Build-Depends-Indep: debhelper (>= 3.0.6)
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.5.6.0

Package: cl-quick-arrays
Architecture: all
Depends: common-lisp-controller (>= 3.45), cl-asdf
Replaces: quick-arrays
Conflicts: quick-arrays
Description: A library offering less flexible, but faster arrays
 This library offers a replacement for the standard array-type
 in Lisp. It has less features then the standard type, but it's
 a little faster.

## cl-quick-arrays 20050302

=== debian/changelog ===
cl-quick-arrays (20050302) unstable; urgency=low

  * Now native package (no upstream source anymore)
  * Updated standards version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  2 Mar 2005 13:24:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends-Indep: debhelper (>= 3.0.6)
 Maintainer: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.5.6.0
+Standards-Version: 3.6.1.0
 
 Package: cl-quick-arrays
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	# make CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## cl-quick-arrays 20080224

=== debian/changelog ===
cl-quick-arrays (20080224) unstable; urgency=low

  * Changed to group maintanance
  * Added Vcs-Git control field
  * Now uses debian/compat
  * debhelper is Build-Depends
  * Updated standard version without real changes
  * swap binary-indep and binary-arch

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 24 Feb 2008 14:57:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: cl-quick-arrays
 Section: libs
 Priority: optional
-Build-Depends-Indep: debhelper (>= 3.0.6)
-Maintainer: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.6.1.0
+Build-Depends: debhelper (>= 3.0.6)
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>
+Standards-Version: 3.7.3
+Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-quick-arrays.git
 
 Package: cl-quick-arrays
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,20 +26,19 @@
 
 	dh_clean
 
+# Build architecture-dependent files here.
+binary-arch: build
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build
 #	dh_testversion
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the files into debian/tmp
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/cl-quick-arrays
 
 	dh_installdocs
 	dh_installexamples
